DocsAPI ReferenceCalendar Analytics/bff/calendar/calendar-analytics-revenue-per-hour
getCalendar AnalyticsAdmin BFF

/bff/calendar/calendar-analytics-revenue-per-hour

Shows how much each hour of the calendar day earns - brutally powerful metric for pricing optimization. Identifies peak revenue hours and opportunities for dynamic pricing.

Calendar AnalyticsgetBffCalendarCalendar-analytics-revenue-per-hour

Parameters

1 query

1 total
Query · 1
codestringRequired

Calendar code identifier.

Request

GET /bff/calendar/calendar-analytics-revenue-per-hour

get
curl -X GET "https://api.bizkithub.com/bff/calendar/calendar-analytics-revenue-per-hour?code=example_code" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

JSON payload

{
  "hourly": [
    {
      "hourOfDay": 0,
      "revenue": 0,
      "eventCount": 0,
      "avgRevenuePerEvent": 0
    }
  ],
  "peakHour": 0,
  "peakRevenue": 0,
  "totalRevenue": 0
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key